Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
        • GetBatchesByOrganization
      • Invoice
        • CreateInvoices
          POST
        • GetInvoicesByOrganization
          GET
        • GetInvoiceById
          GET
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
        • GetSettlements
        • GetSettlements
        • GetSettlement on Id
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice

GetInvoicesByOrganization

GET
/orgs/{orgId}/invoices
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//invoices?Status&Type&InvoiceNumber&UniqueSourceInvoiceId&CustomerNumber&From&To&PageToken' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "organization": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "organizationNumber": "string",
                "name": "string"
            },
            "invoiceNumber": "string",
            "collectionCaseNumber": "string",
            "type": "PAYMENT_REMINDER",
            "status": "OPEN",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "closedAt": "2019-08-24T14:15:22.123Z",
            "originalInvoiceAmount": 0,
            "currency": "string",
            "invoiceDate": "2019-08-24T14:15:22.123Z",
            "dueDate": "2019-08-24T14:15:22.123Z",
            "ocrReferenceNumber": "string",
            "uniqueSourceInvoiceId": "string",
            "claims": [
                {
                    "type": "PRINCIPAL",
                    "originalAmount": 0,
                    "currentAmount": 0,
                    "paidAmount": 0,
                    "currency": "string",
                    "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec"
                }
            ],
            "debtors": [
                {
                    "type": "PRIVATE",
                    "firstname": "string",
                    "lastname": "string",
                    "name": "string",
                    "customerNumber": "string",
                    "identificationNumber": "string",
                    "organizationNumber": "string",
                    "dateOfBirth": "2019-08-24",
                    "emails": [
                        {
                            "value": "string"
                        }
                    ],
                    "phoneNumbers": [
                        {
                            "countryCode": "string",
                            "originalValue": "string",
                            "value": "string"
                        }
                    ],
                    "addresses": [
                        {
                            "street": "string",
                            "city": "string",
                            "zipCode": "string",
                            "countryCode": "string"
                        }
                    ]
                }
            ],
            "currentAmount": 0,
            "paidAmount": 0
        }
    ],
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    }
}
Modified at 2026-03-13 13:33:49
Previous
CreateInvoices
Next
GetInvoiceById
Built with